/*	Personality Table
	Version 0.1
*/
DROP TABLE IF EXISTS "Personality";

CREATE TABLE Personality (
	PersonalityID	INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE,
	PersonalityName	VARCHAR(255),
	Age				INTEGER,
	Willpower		INTEGER,
	Arrogance		INTEGER,
	Aggressiveness	INTEGER,
	Xenophobia		INTEGER,
	Intelligence	INTEGER,
	Strength		INTEGER,
	PTrait1			VARCHAR(255),
	PTrait2			VARCHAR(255),
	NTrait			VARCHAR(255),
	Experience		INTEGER,
	Alive			BOOLEAN,
	InitMod			INTEGER,
	IncomeMod		INTEGER,
	RPBonus			INTEGER,
	EspionageMod	INTEGER,
	AttackMod		INTEGER,
	DefenseMod		INTEGER,
	JumpMod			INTEGER,
	Loyalty			INTEGER,
	CostMod			INTEGER,
	XPRate			REAL,
	BirthDate		TEXT,
	GameID			INTEGER,

	FOREIGN KEY (GameID)
		References Game (GameID)
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
);
